package com.ruoyi.project.business.domain.vo;

import fr.opensagres.xdocreport.document.images.IImageProvider;
import fr.opensagres.xdocreport.template.annotations.FieldMetadata;
import fr.opensagres.xdocreport.template.annotations.ImageMetadata;
import fr.opensagres.xdocreport.template.formatter.NullImageBehaviour;
import lombok.AllArgsConstructor;

@AllArgsConstructor
public class MaterialImageVO {

    private String code;
    private final IImageProvider photo;


    // as docx cannot support bookmark name, with dot, we force the name of this field to "photo" and we use "photo" as
    // bookmark name which wraps the "template image".
    @FieldMetadata( images = { @ImageMetadata( name = "photo", behaviour = NullImageBehaviour.RemoveImageTemplate) } )
    public IImageProvider getPhoto()
    {
        return photo;
    }

    public String getCode() {
        return code;
    }
}
